import * as firebase from "firebase";
import { CredentialStore } from "./credentials";
export declare const COMPILESERVER: any;
export declare const METASERVER: any;
export declare const DOCSERVER: any;
export declare function firebaseDB(): firebase.database.Database;
export declare const netrc_entry: any;
export declare const auth: CredentialStore;
export declare function watchDoc(docserver_id: string, callback: () => void): () => void;
export interface AppInfoFromMetaserver {
    id: number;
    name: string;
    pages: PageInfoFromMetaserver[];
}
export interface PageInfoFromMetaserver {
    id: number;
    url: string;
    docserver_id: string;
}
export declare function getApp(app_name: string): Promise<AppInfoFromMetaserver>;
export declare function metaserver_authed_rpc(endpoint: string, data: any): void;
export interface CompileMessage {
    level: "error" | "warning";
    message: string;
    filePath?: string;
}
export interface CompileResultEntry {
    filePath: string;
    contents: string;
}
export interface CompileResult {
    files: CompileResultEntry[] | null;
    messages: CompileMessage[];
}
export declare function compileFromDocserverId(docserver_id: string): Promise<CompileResult>;
