export declare function register_compiler(module_descriptor: any): boolean;
export declare type MaybeConfig = {
    found: false;
} | {
    found: true;
    config: any;
};
export declare function try_to_load_user_config(config_file: string): MaybeConfig;
export declare function override_merge_configs(base_config: any, user_config: any): any;
export declare function merge_configs(base_config: any, user_config: any): any;
export declare function load_dev_config(version: any, dependencies: any, input: any, server_host: any): {
    mode: string;
    devtool: string;
    entry: any;
    output: {
        path: string;
        filename: string;
        publicPath: any;
        library: string;
        libraryExport: string;
        libraryTarget: string;
    };
    plugins: never[];
    externals: {
        'react': string;
        'react-dom': string;
    };
    module: {
        rules: ({
            test: RegExp;
            use: {
                loader: string;
                options: {
                    babelrc: boolean;
                    presets: (string | (string | {
                        targets: {
                            browsers: string[];
                        };
                        modules: string | boolean;
                    })[])[];
                };
            }[];
            include: string[];
            exclude: string[];
        } | {
            test: RegExp;
            use: {
                loader: string;
            }[];
        } | {
            test: RegExp;
            use: (string | {
                loader: string;
                options: {
                    importLoaders: number;
                };
            } | {
                loader: string;
                options: {
                    ident: string;
                    postcss: {};
                    plugins: () => any[];
                };
            })[];
        } | {
            test: RegExp;
            loader: string;
            options: {
                name: any;
            };
        } | {
            test: RegExp;
            loader: string;
            options: {
                limit: number;
                name: any;
            };
        })[];
    };
    resolve: {
        extensions: string[];
    };
    performance: {
        hints: boolean;
    };
} | {
    devtool: string;
    entry: any;
    output: {
        path: string;
        filename: string;
        publicPath: any;
        library: string;
        libraryExport: string;
        libraryTarget: string;
    };
    plugins: never[];
    externals: {
        'react': string;
        'react-dom': string;
    };
    module: {
        rules: ({
            test: RegExp;
            use: {
                loader: string;
                options: {
                    babelrc: boolean;
                    presets: (string | (string | {
                        targets: {
                            browsers: string[];
                        };
                        modules: string | boolean;
                    })[])[];
                };
            }[];
            include: string[];
            exclude: string[];
        } | {
            test: RegExp;
            use: {
                loader: string;
            }[];
        } | {
            test: RegExp;
            use: (string | {
                loader: string;
                options: {
                    importLoaders: number;
                };
            } | {
                loader: string;
                options: {
                    ident: string;
                    postcss: {};
                    plugins: () => any[];
                };
            })[];
        } | {
            test: RegExp;
            loader: string;
            options: {
                name: any;
            };
        } | {
            test: RegExp;
            loader: string;
            options: {
                limit: number;
                name: any;
            };
        })[];
    };
    resolve: {
        extensions: string[];
    };
    performance: {
        hints: boolean;
    };
};
export declare function load_prod_config(version: any, input: any, ext_host: any, static_id: any): {
    mode: string;
    optimization: {
        minimizer: any[];
        noEmitOnErrors: boolean;
    };
    bail: boolean;
    entry: any;
    output: {
        path: string;
        filename: string;
        publicPath: string;
        library: string;
        libraryExport: string;
        libraryTarget: string;
    };
    externals: {
        'react': string;
        'react-dom': string;
    };
    plugins: any[];
    module: {
        rules: ({
            test: RegExp;
            use: {
                loader: string;
                options: {
                    babelrc: boolean;
                    presets: (string | (string | {
                        targets: {
                            browsers: string[];
                        };
                        modules: string | boolean;
                    })[])[];
                };
            }[];
            include: string[];
            exclude: string[];
        } | {
            test: RegExp;
            use: {
                loader: string;
            }[];
        } | {
            test: RegExp;
            use: (string | {
                loader: string;
                options: {
                    importLoaders: number;
                };
            } | {
                loader: string;
                options: {
                    ident: string;
                    postcss: {};
                    plugins: () => any[];
                };
            })[];
        } | {
            test: RegExp;
            loader: string;
            options: {
                name: any;
            };
        } | {
            test: RegExp;
            loader: string;
            options: {
                limit: number;
                name: any;
            };
        })[];
    };
    resolve: {
        extensions: string[];
    };
    performance: {
        hints: string;
    };
} | {
    bail: boolean;
    entry: any;
    output: {
        path: string;
        filename: string;
        publicPath: string;
        library: string;
        libraryExport: string;
        libraryTarget: string;
    };
    externals: {
        'react': string;
        'react-dom': string;
    };
    plugins: any[];
    module: {
        rules: ({
            test: RegExp;
            use: {
                loader: string;
                options: {
                    babelrc: boolean;
                    presets: (string | (string | {
                        targets: {
                            browsers: string[];
                        };
                        modules: string | boolean;
                    })[])[];
                };
            }[];
            include: string[];
            exclude: string[];
        } | {
            test: RegExp;
            use: {
                loader: string;
            }[];
        } | {
            test: RegExp;
            use: (string | {
                loader: string;
                options: {
                    importLoaders: number;
                };
            } | {
                loader: string;
                options: {
                    ident: string;
                    postcss: {};
                    plugins: () => any[];
                };
            })[];
        } | {
            test: RegExp;
            loader: string;
            options: {
                name: any;
            };
        } | {
            test: RegExp;
            loader: string;
            options: {
                limit: number;
                name: any;
            };
        })[];
    };
    resolve: {
        extensions: string[];
    };
    performance: {
        hints: string;
    };
};
